## ros-kinetic-urdf-geometry-parser 0.1.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(urdf_geometry_parser)

# Load catkin and all dependencies required for this package
find_package(catkin REQUIRED COMPONENTS
  roscpp
  urdf
)

# Declare a catkin package
catkin_package(
  INCLUDE_DIRS
    include
  LIBRARIES
    ${PROJECT_NAME}
  CATKIN_DEPENDS
    roscpp
    urdf
)


###########
## Build ##
###########

# Specify header include paths
include_directories(include ${catkin_INCLUDE_DIRS})

# URDF geometry parser library
add_library(${PROJECT_NAME}
  include/urdf_geometry_parser/urdf_geometry_parser.h
  src/urdf_geometry_parser.cpp
)
target_link_libraries(${PROJECT_NAME} ${catkin_LIBRARIES})


#############
## Testing ##
#############

if(CATKIN_ENABLE_TESTING)
  find_package(rostest REQUIRED)

  add_rostest_gtest(urdf_geometry_parser_test
                    test/urdf_geometry_parser.test
                    test/src/urdf_geometry_parser_test.cpp)
  target_link_libraries(urdf_geometry_parser_test ${catkin_LIBRARIES} ${PROJECT_NAME})
endif()


#############
## Install ##
#############

# Install headers
install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
)

# Install targets
install(TARGETS ${PROJECT_NAME}
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_GLOBAL_BIN_DESTINATION}
)

=== debian/changelog ===
ros-kinetic-urdf-geometry-parser (0.1.0-1xenial) xenial; urgency=high

  * Remove tf2 dependency
  * Add license
  * Bump CMake version to avoid CMP0048 warning
  * Cleanup CMakeLists.txt and package.xml
  * Contributors: Bence Magyar, Matt Reynolds, Vincent Rousseau

 -- Vincent Rousseau <vincent.rousseau@irstea.fr>  Sat, 04 Apr 2020 23:00:00 -0000

ros-kinetic-urdf-geometry-parser (0.0.3-1xenial) xenial; urgency=high

  * add travis config, based on industrial_ci
  * Make sure to include urdfdom_compatibility.h.
    This ensures that urdf_geometry_parser will build on all distros
    (including older Debian Jessie).
    Signed-off-by: Chris Lalancette <mailto:clalancette@osrfoundation.org>
  * Contributors: Bence Magyar, Chris Lalancette, Mathias Lüdtke

 -- Vincent Rousseau <vincent.rousseau@irstea.fr>  Sun, 06 Aug 2017 23:00:00 -0000

ros-kinetic-urdf-geometry-parser (0.0.2-1xenial) xenial; urgency=high

  * use urdf typedefs (fix builds on Ubuntu Y, Z and Debian Stretch)
  * Contributors: Mikael Arguedas

 -- Vincent Rousseau <vincent.rousseau@irstea.fr>  Mon, 03 Jul 2017 23:00:00 -0000

ros-kinetic-urdf-geometry-parser (0.0.1-1xenial) xenial; urgency=high

  * First release of urdf_geometry_parser
  * Contributors: Vincent Rousseau

 -- Vincent Rousseau <vincent.rousseau@irstea.fr>  Sun, 02 Jul 2017 23:00:00 -0000

=== debian/control ===
Source: ros-kinetic-urdf-geometry-parser
Section: misc
Priority: optional
Maintainer: Vincent Rousseau <vincent.rousseau@irstea.fr>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin, ros-kinetic-roscpp, ros-kinetic-rostest, ros-kinetic-urdf, ros-kinetic-xacro
Homepage: http://ros.org/wiki/urdf_geometry_parser
Standards-Version: 3.9.2

Package: ros-kinetic-urdf-geometry-parser
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-roscpp, ros-kinetic-urdf
Description: Extract geometry value of a vehicle from urdf.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-urdf-geometry-parser//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
